In Sencha Architect you can't make designs for Ext JS 3 anymore. This is understandible, but not nice. I have still a lot of legacy that sometimes needs to be extended. I know that upgrading it to Ext JS 4 would be much better, but since my customer doesn't want to invest in it now, nothing remains than stay in Ext JS 3 (with this customer that is).

But as Architect doesn't support Ext JS 3 anymore, I thought I install Sencha Designer 2.0 Beta again. This works fine, except I can't register anymore. After entering my credentials, it keeps on running around in accepting the terms and conditions and asking for my credentials.

How to act when you have bought Architect and still need Ext JS 3 functionality? Will Sencha drop Designer 2.0 for Architect? After using Designer so intensively, I feel a bit lost without it.